#

## pushbox

Save the cursor box position on a stack for later restoring.

### Usage:

> pushbox

### Summary:

> The pushbox command saves the position of the cursor box onto a stack, where it may be retrieved or queried using the popbox and peekbox commands, respectively.

### Implementation Notes:

> pushbox is implemented as a Tcl procedure in the "tools" script. It is useful when writing automated layout-generating Tcl scripts.

### See Also:

> popbox
> peekbox

Return to command index

Last updated: March 7, 2020 at 1:06pm